package com.mvc.dao;

import com.mvc.entity.DicMarkType;
import com.mvc.entity.DicMarkTypeExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface DicMarkTypeMapper {
    long countByExample(DicMarkTypeExample example);

    int deleteByExample(DicMarkTypeExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(DicMarkType record);

    int insertSelective(DicMarkType record);

    List<DicMarkType> selectByExample(DicMarkTypeExample example);

    DicMarkType selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") DicMarkType record, @Param("example") DicMarkTypeExample example);

    int updateByExample(@Param("record") DicMarkType record, @Param("example") DicMarkTypeExample example);

    int updateByPrimaryKeySelective(DicMarkType record);

    int updateByPrimaryKey(DicMarkType record);
}